Loading...
Searching...
No Matches
Opm::WellProductionControls Struct Reference

## Public Member Functions

| WellProductionControls (int controls_arg)
bool | hasControl (WellProducerCMode cmode_arg) const
void | skipControl (WellProducerCMode cmode_arg)
void | addControl (WellProducerCMode cmode_arg)
void | clearControls ()
bool | anyZeroRateConstraint () const
bool | operator== (const WellProductionControls &other) const

## Public Attributes

WellProducerCMode | cmode = WellProducerCMode::NONE
double | oil_rate {0}
double | water_rate {0}
double | gas_rate {0}
double | liquid_rate {0}
double | resv_rate {0}
double | bhp_history {0}
double | thp_history {0}
double | bhp_limit {0}
double | thp_limit {0}
double | alq_value {0}
int | vfp_table_number {0}
bool | prediction_mode {0}

The documentation for this struct was generated from the following file:

- opm/input/eclipse/Schedule/Well/WellProductionControls.hpp